Index: anches/HeuristicLab.Hive.ExperimentManager/HeuristicLab 3.3.vsmdi
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab 3.3.vsmdi	(revision 4793)
+++ 	(revision )
@@ -1,6 +1,0 @@
-﻿<?xml version="1.0" encoding="UTF-8"?>
-<TestLists xmlns="http://microsoft.com/schemas/VisualStudio/TeamTest/2010">
-  <TestList name="Lists of Tests" id="8c43106b-9dc1-4907-a29f-aa66a61bf5b6">
-    <RunConfiguration id="f9392825-866f-4434-be36-358db28f0c59" name="Local Test Run" storage="localtestrun.testrunconfig" type="Microsoft.VisualStudio.TestTools.Common.TestRunConfiguration, Microsoft.VisualStudio.QualityTools.Common, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
-  </TestList>
-</TestLists>
Index: anches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive 3.3.sln	(revision 4793)
+++ 	(revision )
@@ -1,430 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual Studio 2010
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.Core-3.3", "HeuristicLab.Hive.Server.Core\3.3\HeuristicLab.Hive.Server.Core-3.3.csproj", "{898B31CF-81DC-453B-AEB3-BDF83197A7EE}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive-3.3", "HeuristicLab.Hive\3.3\HeuristicLab.Hive-3.3.csproj", "{C92AAC8C-4D88-449C-ABA5-2B935D769842}"
-	ProjectSection(ProjectDependencies) = postProject
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7} = {CDAD2510-299C-4FA2-B351-9D71A5AF20B7}
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE} = {AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84} = {4D5A2A16-66C2-431D-9AA3-BD3041E64B84}
-		{21187322-52DD-4243-80A4-A85F0263E63B} = {21187322-52DD-4243-80A4-A85F0263E63B}
-		{A84C0A25-13D0-40A6-924F-53556D9691DC} = {A84C0A25-13D0-40A6-924F-53556D9691DC}
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F} = {A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}
-		{89F4BC52-C174-481E-9BD2-3814171020E8} = {89F4BC52-C174-481E-9BD2-3814171020E8}
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E} = {8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}
-		{1605256A-1CB3-44AB-AAFF-577093EE5789} = {1605256A-1CB3-44AB-AAFF-577093EE5789}
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD} = {D17A4D6A-4CAA-4470-8A19-F42463C021FD}
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119} = {42A1D075-6C12-4DD9-B0C2-C6F5210A8119}
-		{9076697B-C151-46CD-95BC-1D059492B478} = {9076697B-C151-46CD-95BC-1D059492B478}
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {5010BD86-23B7-4F8C-888A-76D21AD5266A}
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {4F15BEA2-F494-4584-A0E5-6BA85377B313}
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {898B31CF-81DC-453B-AEB3-BDF83197A7EE}
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8} = {134F93D7-E7C8-4ECD-9923-7F63259A60D8}
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0} = {A4499DDD-D1B8-414F-98F6-903C2C71BEB0}
-	EndProjectSection
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{02A1B491-BFBA-407C-BE63-0227871E7B5C}"
-	ProjectSection(SolutionItems) = preProject
-		ConfigMerger.exe = ConfigMerger.exe
-		HeuristicLab 3.3.vsmdi = HeuristicLab 3.3.vsmdi
-		LocalTestRun.testrunconfig = LocalTestRun.testrunconfig
-		PreBuildEvent.cmd = PreBuildEvent.cmd
-	EndProjectSection
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Contracts-3.3", "HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj", "{134F93D7-E7C8-4ECD-9923-7F63259A60D8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server-3.3", "HeuristicLab.Hive.Server\3.3\HeuristicLab.Hive.Server-3.3.csproj", "{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.Console-3.3", "HeuristicLab.Hive.Server.Console\3.3\HeuristicLab.Hive.Server.Console-3.3.csproj", "{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.DataAccess-3.3", "HeuristicLab.Hive.Server.DataAccess\3.3\HeuristicLab.Hive.Server.DataAccess-3.3.csproj", "{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Server.LINQDataAccess-3.3", "HeuristicLab.Hive.Server.LINQDataAccess\3.3\HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj", "{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DataAccess-3.3", "HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj", "{9076697B-C151-46CD-95BC-1D059492B478}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.JobBase-3.3", "HeuristicLab.Hive.JobBase\3.3\HeuristicLab.Hive.JobBase-3.3.csproj", "{21187322-52DD-4243-80A4-A85F0263E63B}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive.Slave", "HeuristicLab.Hive.Slave", "{DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive.Server", "HeuristicLab.Hive.Server", "{E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.Hive", "HeuristicLab.Hive", "{84899895-AC52-4053-8A91-61753EF8E0A8}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab", "HeuristicLab", "{BD1DE6F6-A188-4D1F-9681-BA7104818370}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Calendar-3.3", "HeuristicLab.Calendar\3.3\HeuristicLab.Calendar-3.3.csproj", "{D17A4D6A-4CAA-4470-8A19-F42463C021FD}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Tracing-3.3", "HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj", "{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Common-3.3", "HeuristicLab.Hive.Slave.Common\3.3\HeuristicLab.Hive.Slave.Common-3.3.csproj", "{89F4BC52-C174-481E-9BD2-3814171020E8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Communication-3.3", "HeuristicLab.Hive.Slave.Communication\3.3\HeuristicLab.Hive.Slave.Communication-3.3.csproj", "{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}"
-	ProjectSection(ProjectDependencies) = postProject
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {898B31CF-81DC-453B-AEB3-BDF83197A7EE}
-	EndProjectSection
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Console-3.3", "HeuristicLab.Hive.Slave.Console\3.3\HeuristicLab.Hive.Slave.Console-3.3.csproj", "{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}"
-	ProjectSection(ProjectDependencies) = postProject
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {5010BD86-23B7-4F8C-888A-76D21AD5266A}
-	EndProjectSection
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Core-3.3", "HeuristicLab.Hive.Slave.Core\3.3\HeuristicLab.Hive.Slave.Core-3.3.csproj", "{5010BD86-23B7-4F8C-888A-76D21AD5266A}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.ExecutionEngine-3.3", "HeuristicLab.Hive.Slave.ExecutionEngine\3.3\HeuristicLab.Hive.Slave.ExecutionEngine-3.3.csproj", "{1605256A-1CB3-44AB-AAFF-577093EE5789}"
-EndProject
-Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "HiveWeb", "HiveWeb\", "{590AD383-846B-48FF-8D06-B0AA1B328102}"
-	ProjectSection(WebsiteProperties) = preProject
-		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
-		ProjectReferences = "{134F93D7-E7C8-4ECD-9923-7F63259A60D8}|HeuristicLab.Hive.Contracts-3.3.dll;{9076697B-C151-46CD-95BC-1D059492B478}|HeuristicLab.DataAccess-3.3.dll;{21187322-52DD-4243-80A4-A85F0263E63B}|HeuristicLab.Hive.JobBase-3.3.dll;{898B31CF-81DC-453B-AEB3-BDF83197A7EE}|HeuristicLab.Hive.Server.Core-3.3.dll;{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}|HeuristicLab.Hive.Server.DataAccess-3.3.dll;{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}|HeuristicLab.Hive.Server.LINQDataAccess-3.3.dll;{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}|HeuristicLab.Hive.Tracing-3.3.dll;"
-		Debug.AspNetCompiler.VirtualPath = "/HiveWeb"
-		Debug.AspNetCompiler.PhysicalPath = "HiveWeb\"
-		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\HiveWeb\"
-		Debug.AspNetCompiler.Updateable = "true"
-		Debug.AspNetCompiler.ForceOverwrite = "true"
-		Debug.AspNetCompiler.FixedNames = "false"
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.VirtualPath = "/HiveWeb"
-		Release.AspNetCompiler.PhysicalPath = "HiveWeb\"
-		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\HiveWeb\"
-		Release.AspNetCompiler.Updateable = "true"
-		Release.AspNetCompiler.ForceOverwrite = "true"
-		Release.AspNetCompiler.FixedNames = "false"
-		Release.AspNetCompiler.Debug = "False"
-		VWDPort = "3220"
-	EndProjectSection
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.ExperimentManager-3.3", "HeuristicLab.Hive.ExperimentManager\3.3\HeuristicLab.Hive.ExperimentManager-3.3.csproj", "{A84C0A25-13D0-40A6-924F-53556D9691DC}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.ExperimentManager.Views-3.3", "HeuristicLab.Hive.ExperimentManager.Views\3.3\HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj", "{4F15BEA2-F494-4584-A0E5-6BA85377B313}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Debug|Mixed Platforms = Debug|Mixed Platforms
-		Debug|x64 = Debug|x64
-		Debug|x86 = Debug|x86
-		Release|Any CPU = Release|Any CPU
-		Release|Mixed Platforms = Release|Mixed Platforms
-		Release|x64 = Release|x64
-		Release|x86 = Release|x86
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x64.ActiveCfg = Debug|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x64.Build.0 = Debug|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x86.ActiveCfg = Debug|x86
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Debug|x86.Build.0 = Debug|x86
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|Mixed Platforms.Build.0 = Release|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x64.ActiveCfg = Release|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x64.Build.0 = Release|x64
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x86.ActiveCfg = Release|x86
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE}.Release|x86.Build.0 = Release|x86
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x64.ActiveCfg = Debug|x64
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x64.Build.0 = Debug|x64
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x86.ActiveCfg = Debug|x86
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Debug|x86.Build.0 = Debug|x86
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x64.ActiveCfg = Release|Any CPU
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842}.Release|x86.ActiveCfg = Release|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x64.ActiveCfg = Debug|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x64.Build.0 = Debug|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x86.ActiveCfg = Debug|x86
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Debug|x86.Build.0 = Debug|x86
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|Mixed Platforms.Build.0 = Release|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x64.ActiveCfg = Release|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x64.Build.0 = Release|x64
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x86.ActiveCfg = Release|x86
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8}.Release|x86.Build.0 = Release|x86
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x64.ActiveCfg = Debug|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x64.Build.0 = Debug|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x86.ActiveCfg = Debug|x86
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Debug|x86.Build.0 = Debug|x86
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|Mixed Platforms.Build.0 = Release|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x64.ActiveCfg = Release|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x64.Build.0 = Release|x64
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x86.ActiveCfg = Release|x86
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F}.Release|x86.Build.0 = Release|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x64.ActiveCfg = Debug|x64
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x64.Build.0 = Debug|x64
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x86.ActiveCfg = Debug|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|x86.Build.0 = Debug|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.Build.0 = Release|Any CPU
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x64.ActiveCfg = Release|x64
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x64.Build.0 = Release|x64
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x86.ActiveCfg = Release|x86
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x86.Build.0 = Release|x86
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x64.ActiveCfg = Debug|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x64.Build.0 = Debug|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x86.ActiveCfg = Debug|x86
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Debug|x86.Build.0 = Debug|x86
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|Mixed Platforms.Build.0 = Release|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x64.ActiveCfg = Release|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x64.Build.0 = Release|x64
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x86.ActiveCfg = Release|x86
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84}.Release|x86.Build.0 = Release|x86
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x64.ActiveCfg = Debug|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x64.Build.0 = Debug|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x86.ActiveCfg = Debug|x86
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Debug|x86.Build.0 = Debug|x86
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|Mixed Platforms.Build.0 = Release|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x64.ActiveCfg = Release|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x64.Build.0 = Release|x64
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x86.ActiveCfg = Release|x86
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0}.Release|x86.Build.0 = Release|x86
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x64.ActiveCfg = Debug|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x64.Build.0 = Debug|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x86.ActiveCfg = Debug|x86
-		{9076697B-C151-46CD-95BC-1D059492B478}.Debug|x86.Build.0 = Debug|x86
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Any CPU.Build.0 = Release|Any CPU
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|Mixed Platforms.Build.0 = Release|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x64.ActiveCfg = Release|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x64.Build.0 = Release|x64
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x86.ActiveCfg = Release|x86
-		{9076697B-C151-46CD-95BC-1D059492B478}.Release|x86.Build.0 = Release|x86
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x64.ActiveCfg = Debug|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x64.Build.0 = Debug|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x86.ActiveCfg = Debug|x86
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Debug|x86.Build.0 = Debug|x86
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Any CPU.Build.0 = Release|Any CPU
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|Mixed Platforms.Build.0 = Release|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x64.ActiveCfg = Release|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x64.Build.0 = Release|x64
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x86.ActiveCfg = Release|x86
-		{21187322-52DD-4243-80A4-A85F0263E63B}.Release|x86.Build.0 = Release|x86
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|x64.ActiveCfg = Debug|x64
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|x64.Build.0 = Debug|x64
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|x86.ActiveCfg = Debug|x86
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Debug|x86.Build.0 = Debug|x86
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x64.ActiveCfg = Release|Any CPU
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD}.Release|x86.ActiveCfg = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|x64.ActiveCfg = Debug|x64
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|x64.Build.0 = Debug|x64
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|x86.ActiveCfg = Debug|x86
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Debug|x86.Build.0 = Debug|x86
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|Any CPU.Build.0 = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|x64.ActiveCfg = Release|Any CPU
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}.Release|x86.ActiveCfg = Release|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x64.ActiveCfg = Debug|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x64.Build.0 = Debug|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x86.ActiveCfg = Debug|x86
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Debug|x86.Build.0 = Debug|x86
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|Mixed Platforms.Build.0 = Release|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x64.ActiveCfg = Release|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x64.Build.0 = Release|x64
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x86.ActiveCfg = Release|x86
-		{89F4BC52-C174-481E-9BD2-3814171020E8}.Release|x86.Build.0 = Release|x86
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x64.ActiveCfg = Debug|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x64.Build.0 = Debug|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x86.ActiveCfg = Debug|x86
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|x86.Build.0 = Debug|x86
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Mixed Platforms.Build.0 = Release|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x64.ActiveCfg = Release|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x64.Build.0 = Release|x64
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x86.ActiveCfg = Release|x86
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x86.Build.0 = Release|x86
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x64.ActiveCfg = Debug|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x64.Build.0 = Debug|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x86.ActiveCfg = Debug|x86
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Debug|x86.Build.0 = Debug|x86
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Any CPU.Build.0 = Release|Any CPU
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|Mixed Platforms.Build.0 = Release|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x64.ActiveCfg = Release|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x64.Build.0 = Release|x64
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x86.ActiveCfg = Release|x86
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}.Release|x86.Build.0 = Release|x86
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x64.ActiveCfg = Debug|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x64.Build.0 = Debug|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x86.ActiveCfg = Debug|x86
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Debug|x86.Build.0 = Debug|x86
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|Mixed Platforms.Build.0 = Release|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x64.ActiveCfg = Release|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x64.Build.0 = Release|x64
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x86.ActiveCfg = Release|x86
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A}.Release|x86.Build.0 = Release|x86
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x64.ActiveCfg = Debug|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x64.Build.0 = Debug|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x86.ActiveCfg = Debug|x86
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Debug|x86.Build.0 = Debug|x86
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.Build.0 = Release|Any CPU
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Mixed Platforms.Build.0 = Release|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x64.ActiveCfg = Release|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x64.Build.0 = Release|x64
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.ActiveCfg = Release|x86
-		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.Build.0 = Release|x86
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Any CPU.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Any CPU.Build.0 = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|Mixed Platforms.Build.0 = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|x64.ActiveCfg = Debug|Any CPU
-		{590AD383-846B-48FF-8D06-B0AA1B328102}.Release|x86.ActiveCfg = Debug|Any CPU
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x64.ActiveCfg = Debug|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x64.Build.0 = Debug|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.ActiveCfg = Debug|x86
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.Build.0 = Debug|x86
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.Build.0 = Release|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x64.ActiveCfg = Release|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x64.Build.0 = Release|x64
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.ActiveCfg = Release|x86
-		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.Build.0 = Release|x86
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.Build.0 = Debug|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x64.ActiveCfg = Debug|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x64.Build.0 = Debug|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.ActiveCfg = Debug|x86
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.Build.0 = Debug|x86
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.ActiveCfg = Release|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.Build.0 = Release|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x64.ActiveCfg = Release|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x64.Build.0 = Release|x64
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.ActiveCfg = Release|x86
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.Build.0 = Release|x86
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-	GlobalSection(NestedProjects) = preSolution
-		{A04AE929-D0E1-466D-A9D3-BF3C4B2C209F} = {E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}
-		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119} = {E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}
-		{4D5A2A16-66C2-431D-9AA3-BD3041E64B84} = {E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}
-		{A4499DDD-D1B8-414F-98F6-903C2C71BEB0} = {E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}
-		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {E7D8EFDA-B0CB-4B62-8EAE-2CF473F14D74}
-		{134F93D7-E7C8-4ECD-9923-7F63259A60D8} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{21187322-52DD-4243-80A4-A85F0263E63B} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{C92AAC8C-4D88-449C-ABA5-2B935D769842} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{CDAD2510-299C-4FA2-B351-9D71A5AF20B7} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{A84C0A25-13D0-40A6-924F-53556D9691DC} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{4F15BEA2-F494-4584-A0E5-6BA85377B313} = {84899895-AC52-4053-8A91-61753EF8E0A8}
-		{9076697B-C151-46CD-95BC-1D059492B478} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
-		{D17A4D6A-4CAA-4470-8A19-F42463C021FD} = {BD1DE6F6-A188-4D1F-9681-BA7104818370}
-		{89F4BC52-C174-481E-9BD2-3814171020E8} = {DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}
-		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE} = {DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}
-		{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E} = {DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}
-		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}
-		{1605256A-1CB3-44AB-AAFF-577093EE5789} = {DC8C63A5-7B57-4B3A-A74A-6F42C7DD1668}
-	EndGlobalSection
-EndGlobal
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager 3.3.sln
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager 3.3.sln	(revision 4794)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager 3.3.sln	(revision 4794)
@@ -0,0 +1,74 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 11.00
+# Visual Studio 2010
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{02A1B491-BFBA-407C-BE63-0227871E7B5C}"
+	ProjectSection(SolutionItems) = preProject
+		ConfigMerger.exe = ConfigMerger.exe
+		MergeConfigs.cmd = MergeConfigs.cmd
+		PreBuildEvent.cmd = PreBuildEvent.cmd
+	EndProjectSection
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.ExperimentManager-3.3", "HeuristicLab.Hive.ExperimentManager\3.3\HeuristicLab.Hive.ExperimentManager-3.3.csproj", "{A84C0A25-13D0-40A6-924F-53556D9691DC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.ExperimentManager.Views-3.3", "HeuristicLab.Hive.ExperimentManager.Views\3.3\HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj", "{4F15BEA2-F494-4584-A0E5-6BA85377B313}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Bin", "Bin", "{C94E906E-F0CD-4C52-BD5A-B78E2E353257}"
+	ProjectSection(SolutionItems) = preProject
+		Bin\HeuristicLab.DataAccess-3.3.dll = Bin\HeuristicLab.DataAccess-3.3.dll
+		Bin\HeuristicLab.Hive.Contracts-3.3.dll = Bin\HeuristicLab.Hive.Contracts-3.3.dll
+		Bin\HeuristicLab.Hive.JobBase-3.3.dll = Bin\HeuristicLab.Hive.JobBase-3.3.dll
+		Bin\HeuristicLab.Hive.Tracing-3.3.dll = Bin\HeuristicLab.Hive.Tracing-3.3.dll
+	EndProjectSection
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|Mixed Platforms = Debug|Mixed Platforms
+		Debug|x64 = Debug|x64
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|Mixed Platforms = Release|Mixed Platforms
+		Release|x64 = Release|x64
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|Mixed Platforms.Build.0 = Debug|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x64.ActiveCfg = Debug|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x64.Build.0 = Debug|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.ActiveCfg = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Debug|x86.Build.0 = Debug|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|Mixed Platforms.Build.0 = Release|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x64.ActiveCfg = Release|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x64.Build.0 = Release|x64
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.ActiveCfg = Release|x86
+		{A84C0A25-13D0-40A6-924F-53556D9691DC}.Release|x86.Build.0 = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|Mixed Platforms.Build.0 = Debug|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x64.ActiveCfg = Debug|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x64.Build.0 = Debug|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.ActiveCfg = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Debug|x86.Build.0 = Debug|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|Mixed Platforms.Build.0 = Release|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x64.ActiveCfg = Release|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x64.Build.0 = Release|x64
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.ActiveCfg = Release|x86
+		{4F15BEA2-F494-4584-A0E5-6BA85377B313}.Release|x86.Build.0 = Release|x86
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+	GlobalSection(NestedProjects) = preSolution
+		{C94E906E-F0CD-4C52-BD5A-B78E2E353257} = {02A1B491-BFBA-407C-BE63-0227871E7B5C}
+	EndGlobalSection
+EndGlobal
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj	(revision 4793)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/HeuristicLab.Hive.ExperimentManager.Views-3.3.csproj	(revision 4794)
@@ -98,4 +98,16 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.DataAccess-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.DataAccess-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.Contracts-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.Contracts-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.JobBase-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.JobBase-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.Tracing-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.Tracing-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.MainForm-3.3.dll</HintPath>
@@ -188,21 +200,10 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
-      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
-      <Name>HeuristicLab.DataAccess-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
-      <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
-      <Name>HeuristicLab.Hive.Contracts-3.3</Name>
-    </ProjectReference>
+    <None Include="UpdateLocalInstallation.cmd" />
+  </ItemGroup>
+  <ItemGroup>
     <ProjectReference Include="..\..\HeuristicLab.Hive.ExperimentManager\3.3\HeuristicLab.Hive.ExperimentManager-3.3.csproj">
       <Project>{A84C0A25-13D0-40A6-924F-53556D9691DC}</Project>
       <Name>HeuristicLab.Hive.ExperimentManager-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.JobBase\3.3\HeuristicLab.Hive.JobBase-3.3.csproj">
-      <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
-      <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
   </ItemGroup>
@@ -237,4 +238,12 @@
 
 call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PostBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call UpdateLocalInstallation.cmd</PostBuildEvent>
   </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/UpdateLocalInstallation.cmd
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/UpdateLocalInstallation.cmd	(revision 4794)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager.Views/3.3/UpdateLocalInstallation.cmd	(revision 4794)
@@ -0,0 +1,5 @@
+set target=C:\Program Files\HeuristicLab 3.3
+
+echo Copying HeuristicLab.Hive.ExperimentManager.Views Assembly
+copy "%ProjectDir%\%Outdir%\HeuristicLab.Hive.ExperimentManager.Views-3.3.dll" "%target%"
+echo ---------------------------
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab 3.3.exe.config
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab 3.3.exe.config	(revision 4794)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab 3.3.exe.config	(revision 4794)
@@ -0,0 +1,123 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<configuration>
+  <configSections>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Common.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Optimizer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Persistence.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Tracing.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+    </sectionGroup>
+  </configSections>
+  <connectionStrings>
+  </connectionStrings>
+  <system.serviceModel>
+    <behaviors />
+    <bindings>
+      <wsHttpBinding>
+        <binding name="WSHttpBinding_IUpdateService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="32000" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IAdminService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="32000" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+    </bindings>
+    <client>
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdateService" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdateService" name="WSHttpBinding_IUpdateService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/AdminService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdminService" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdminService" name="WSHttpBinding_IAdminService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+    </client>
+  </system.serviceModel>
+  <runtime>
+    <gcServer enabled="true" />
+  </runtime>
+  <system.data>
+    <DbProviderFactories>
+      <remove invariant="System.Data.SQLite" />
+      <add name="SQLite Data Provider" invariant="System.Data.SQLite" description=".Net Framework Data Provider for SQLite" type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite" />
+      <remove invariant="System.Data.SqlServerCe.3.5" />
+      <add name="Microsoft SQL Server Compact Data Provider" invariant="System.Data.SqlServerCe.3.5" description=".NET Framework Data Provider for Microsoft SQL Server Compact" type="System.Data.SqlServerCe.SqlCeProviderFactory, System.Data.SqlServerCe, Version=3.5.1.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
+    </DbProviderFactories>
+  </system.data>
+  <userSettings>
+    <HeuristicLab.PluginInfrastructure.Properties.Settings>
+      <setting name="UpdateLocationUserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="UpdateLocationPassword" serializeAs="String">
+        <value>GetTheLab!</value>
+      </setting>
+      <setting name="ShowPluginUploadControls" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="UpdateLocation" serializeAs="String">
+        <value>http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc</value>
+      </setting>
+      <setting name="UpdateLocationAdministrationAddress" serializeAs="String">
+        <value>http://services.heuristiclab.com/Deployment-3.3/AdminService.svc</value>
+      </setting>
+    </HeuristicLab.PluginInfrastructure.Properties.Settings>
+    <HeuristicLab.Clients.Common.Properties.Settings>
+      <setting name="UserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="Password" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="SavePassword" serializeAs="String">
+        <value>True</value>
+      </setting>
+    </HeuristicLab.Clients.Common.Properties.Settings>
+    <HeuristicLab.Optimizer.Properties.Settings>
+      <setting name="ShowStartPage" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="ShowOperatorsSidebar" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="ShowClipboard" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="ShowMaximized" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="CollapseClipboard" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="CollapseOperatorsSidebar" serializeAs="String">
+        <value>False</value>
+      </setting>
+    </HeuristicLab.Optimizer.Properties.Settings>
+    <HeuristicLab.Persistence.Properties.Settings>
+      <setting name="CustomConfigurations" serializeAs="String">
+        <value />
+      </setting>
+      <setting name="CustomConfigurationsTypeCache" serializeAs="String">
+        <value />
+      </setting>
+    </HeuristicLab.Persistence.Properties.Settings>
+    <HeuristicLab.Tracing.Properties.Settings>
+      <setting name="TracingLog4netConfigFile" serializeAs="String">
+        <value />
+      </setting>
+    </HeuristicLab.Tracing.Properties.Settings>
+  </userSettings>
+</configuration>
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj	(revision 4793)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/HeuristicLab.Hive.ExperimentManager-3.3.csproj	(revision 4794)
@@ -95,4 +95,16 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.DataAccess-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.DataAccess-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.Contracts-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.Contracts-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.JobBase-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.JobBase-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Hive.Tracing-3.3">
+      <HintPath>..\..\Bin\HeuristicLab.Hive.Tracing-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Optimization-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Optimization-3.3.dll</HintPath>
@@ -142,4 +154,7 @@
       <SubType>Designer</SubType>
     </None>
+    <None Include="HeuristicLab 3.3.exe.config">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
     <None Include="Jobs.cd" />
     <None Include="HeuristicLab.snk" />
@@ -150,22 +165,5 @@
     </None>
     <None Include="Tools\RecreateServiceConfig.bat" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
-      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
-      <Name>HeuristicLab.DataAccess-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
-      <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
-      <Name>HeuristicLab.Hive.Contracts-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.JobBase\3.3\HeuristicLab.Hive.JobBase-3.3.csproj">
-      <Project>{21187322-52DD-4243-80A4-A85F0263E63B}</Project>
-      <Name>HeuristicLab.Hive.JobBase-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.Tracing\3.3\HeuristicLab.Hive.Tracing-3.3.csproj">
-      <Project>{CDAD2510-299C-4FA2-B351-9D71A5AF20B7}</Project>
-      <Name>HeuristicLab.Hive.Tracing-3.3</Name>
-    </ProjectReference>
+    <None Include="UpdateLocalInstallation.cmd" />
   </ItemGroup>
   <ItemGroup>
@@ -181,4 +179,13 @@
 call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
+  <PropertyGroup>
+    <PostBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call UpdateLocalInstallation.cmd
+call MergeConfigs.cmd</PostBuildEvent>
+  </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/UpdateLocalInstallation.cmd
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/UpdateLocalInstallation.cmd	(revision 4794)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/UpdateLocalInstallation.cmd	(revision 4794)
@@ -0,0 +1,9 @@
+set target=C:\Program Files\HeuristicLab 3.3
+
+echo Copying HeuristicLab.Hive.ExperimentManager Assembly
+copy "%ProjectDir%\%Outdir%\HeuristicLab.Hive.ExperimentManager-3.3.dll" "%target%"
+copy "%SolutionDir%\Bin\HeuristicLab.DataAccess-3.3.dll" "%target%"
+copy "%SolutionDir%\Bin\HeuristicLab.Hive.Contracts-3.3.dll" "%target%"
+copy "%SolutionDir%\Bin\HeuristicLab.Hive.JobBase-3.3.dll" "%target%"
+copy "%SolutionDir%\Bin\HeuristicLab.Hive.Tracing-3.3.dll" "%target%"
+echo ---------------------------
Index: /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/app.config
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/app.config	(revision 4793)
+++ /branches/HeuristicLab.Hive.ExperimentManager/HeuristicLab.Hive.ExperimentManager/3.3/app.config	(revision 4794)
@@ -13,5 +13,5 @@
       </setting>
       <setting name="HiveUsername" serializeAs="String">
-        <value>cneumuel</value>
+        <value></value>
       </setting>
       <setting name="HivePassword" serializeAs="String">
@@ -19,15 +19,4 @@
       </setting>
     </HeuristicLab.Hive.ExperimentManager.Properties.Settings>
-    <HeuristicLab.Hive.Experiment.Properties.Settings>
-      <setting name="ResourceIds" serializeAs="String">
-        <value>HEAL</value>
-      </setting>
-      <setting name="HiveUsername" serializeAs="String">
-        <value>cneumuel</value>
-      </setting>
-      <setting name="HivePassword" serializeAs="String">
-        <value />
-      </setting>
-    </HeuristicLab.Hive.Experiment.Properties.Settings>
   </userSettings>
   <system.serviceModel>
@@ -56,12 +45,12 @@
     </bindings>
     <client>
-      <endpoint address="net.tcp://localhost:9001/Hive/ClientService.svc" behaviorConfiguration="ClientServiceBehaviour" binding="netTcpBinding" bindingConfiguration="ClientTcpStreamedEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade" name="ClientTcpStreamedEndpoint">
+      <endpoint address="net.tcp://services.heuristiclab.com:8000/Hive-3.3/ClientService.svc" behaviorConfiguration="ClientServiceBehaviour" binding="netTcpBinding" bindingConfiguration="ClientTcpStreamedEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade" name="ClientTcpStreamedEndpoint">
         <identity>
-          <dns value="localhost"/>
+          <dns value="services.heuristiclab.com"/>
         </identity>
       </endpoint>
-      <endpoint address="http://localhost:9000/Hive/ClientService.svc" binding="wsHttpBinding" behaviorConfiguration="ClientServiceBehaviour" bindingConfiguration="ClientHttpEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade" name="ClientHttpEndpoint">
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/ClientService.svc" binding="wsHttpBinding" behaviorConfiguration="ClientServiceBehaviour" bindingConfiguration="ClientHttpEndpoint" contract="HeuristicLab.Hive.Contracts.Interfaces.IClientFacade" name="ClientHttpEndpoint">
         <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAfEKvcVixnJay+q4hCPFuO0JL5TQgAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhCNN5wrUcXMmE/9xwp4TYa9MAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMTAxOTEwNTMxNVoXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDXwC5TGcAffd/0oAWHtm0s6YXVXEgXgb1AYmBkkkhkKIFJG/e/Z0KSYbJepmSJD44W3oOAVm+x1DAsZxU79HahDYgWCuHLMm1TLpwSmYOQ0kV3pGHWHhiWV7h7oGLds/eqZ2EOpaNGryfEPnrA4VmxY91vV5/2BTeVSWG6F8lRKQIDAQABo0kwRzBFBgNVHQEEPjA8gBAR7kBnMRHO5gzThEqda0wWoRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghCNN5wrUcXMmE/9xwp4TYa9MAkGBSsOAwIdBQADgYEAoPwEG4QTDXhlxERNDfsZmM2IhEpV42ppz1kEah2oYKDa/ElIMVtvqLv6flVtg18ENN/mEJWiHZ3NyP3qr2Pip+sh+/2WBiSbOaukES/CM7OJn9kJCImH7M/xqM8pxqY8IfgM6iBVrVj9uHqj3j2BBck+cYY8fKyh3CFifMIp6ac="/>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ=="/>
         </identity>
       </endpoint>
Index: anches/HeuristicLab.Hive.ExperimentManager/LocalTestRun.testrunconfig
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/LocalTestRun.testrunconfig	(revision 4793)
+++ 	(revision )
@@ -1,5 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<TestRunConfiguration name="Local Test Run" id="f9392825-866f-4434-be36-358db28f0c59" xmlns="http://microsoft.com/schemas/VisualStudio/TeamTest/2010">
-  <Description>This is a default test run configuration for a local test run.</Description>
-  <TestTypeSpecific />
-</TestRunConfiguration>
Index: /branches/HeuristicLab.Hive.ExperimentManager/MergeConfigs.cmd
===================================================================
--- /branches/HeuristicLab.Hive.ExperimentManager/MergeConfigs.cmd	(revision 4794)
+++ /branches/HeuristicLab.Hive.ExperimentManager/MergeConfigs.cmd	(revision 4794)
@@ -0,0 +1,4 @@
+ConfigMerger "HeuristicLab.Hive.ExperimentManager-3.3.dll.config" "HeuristicLab 3.3.exe.config"
+
+copy "HeuristicLab 3.3.exe.config" "%target%"
+
